## ecb 0.1

=== DESCRIPTION ===
Package: ecb
Type: Package
Title: Programmatic Access to the European Central Bank's Statistical
        Data Warehouse (SDW)
Version: 0.1
Date: 2015-12-10
Authors@R: person("Eric", "Persson", email = "expersso5@gmail.com",
    role = c("aut", "cre"))
Description: Provides an interface to the European Central Bank's Statistical
    Data Warehouse API, allowing for programmatic retrieval of a vast quantity
    of statistical data.
License: CC0
URL: https://sdw.ecb.europa.eu/ https://www.ecb.int
LazyData: TRUE
Suggests: knitr, rmarkdown, dplyr, ggplot2
Imports: curl, rsdmx, xml2, httr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-12-11 15:14:47 UTC; persson
Author: Eric Persson [aut, cre]
Maintainer: Eric Persson <expersso5@gmail.com>
Repository: CRAN
Date/Publication: 2015-12-11 16:50:08

## ecb 0.2

=== DESCRIPTION ===
Package: ecb
Type: Package
Title: Programmatic Access to the European Central Bank's Statistical
        Data Warehouse (SDW)
Version: 0.2
Date: 2016-03-17
Authors@R: person("Eric", "Persson", email = "expersso5@gmail.com",
    role = c("aut", "cre"))
Description: Provides an interface to the European Central Bank's Statistical
    Data Warehouse API, allowing for programmatic retrieval of a vast quantity
    of statistical data.
License: CC0
URL: https://sdw.ecb.europa.eu/ https://www.ecb.int
LazyData: TRUE
Suggests: knitr, rmarkdown, dplyr, ggplot2, testthat
Imports: curl, rsdmx, xml2, httr
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-03-18 09:02:12 UTC; persson
Author: Eric Persson [aut, cre]
Maintainer: Eric Persson <expersso5@gmail.com>
Repository: CRAN
Date/Publication: 2016-03-18 11:57:31

## ecb 0.4.0

=== DESCRIPTION ===
Package: ecb
Type: Package
Title: Programmatic Access to the European Central Bank's Statistical
        Data Warehouse
Version: 0.4.0
Date: 2021-04-01
Authors@R: person("Eric", "Persson", email = "expersso5@gmail.com",
    role = c("aut", "cre"))
Description: Provides an interface to the European Central Bank's Statistical
    Data Warehouse API, allowing for programmatic retrieval of a vast quantity
    of statistical data.
License: CC0
URL: https://sdw.ecb.europa.eu/
Suggests: knitr, rmarkdown, dplyr, lubridate, ggplot2, testthat, zoo
Imports: curl, rsdmx, xml2, httr
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-04-01 19:56:50 UTC; persson
Author: Eric Persson [aut, cre]
Maintainer: Eric Persson <expersso5@gmail.com>
Repository: CRAN
Date/Publication: 2021-04-01 21:30:06 UTC

## ecb 0.4.1

=== DESCRIPTION ===
Package: ecb
Type: Package
Title: Programmatic Access to the European Central Bank's Statistical
        Data Warehouse
Version: 0.4.1
Date: 2022-12-15
Authors@R: person("Eric", "Persson", email = "expersso5@gmail.com",
    role = c("aut", "cre"))
Description: Provides an interface to the 'European Central Bank's Statistical
    Data Warehouse' API <https://sdw.ecb.europa.eu/>, allowing for programmatic 
    retrieval of a vast quantity of statistical data.
License: CC0
URL: https://sdw.ecb.europa.eu/
Suggests: knitr, rmarkdown, dplyr, lubridate, ggplot2, testthat, zoo
Imports: curl, rsdmx, xml2, httr
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2022-12-15 10:38:21 UTC; persson
Author: Eric Persson [aut, cre]
Maintainer: Eric Persson <expersso5@gmail.com>
Repository: CRAN
Date/Publication: 2022-12-15 11:20:03 UTC

## ecb 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Programmatic Access to the European Central Bank's Statistical
         Data Warehouse
-Version: 0.4.1
-Date: 2022-12-15
+Version: 0.4.2
+Date: 2023-04-20
 Authors@R: person("Eric", "Persson", email = "expersso5@gmail.com",
     role = c("aut", "cre"))
 Description: Provides an interface to the 'European Central Bank's Statistical
@@ -16,8 +16,8 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2022-12-15 10:38:21 UTC; persson
+Packaged: 2023-04-20 08:03:43 UTC; persson
 Author: Eric Persson [aut, cre]
 Maintainer: Eric Persson <expersso5@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-12-15 11:20:03 UTC
+Date/Publication: 2023-04-20 16:32:34 UTC

## ecb 0.4.3

=== DESCRIPTION ===
Package: ecb
Type: Package
Title: Programmatic Access to the European Central Bank's Data Portal
Version: 0.4.3
Date: 2025-03-19
Authors@R: c(person("Eric", "Persson", email = "expersso5@gmail.com", role = c("aut", "cre")),
              person(c("Franz", "X."), "Mohr", email = "franz.x.mohr@outlook.com", role = c("ctb"), comment = c(ORCID = "0009-0003-8890-7781")))
Description: Provides an interface to the European Central Bank's Data
    Portal API, allowing for programmatic retrieval of a vast quantity
    of statistical data.
License: CC0
URL: https://github.com/expersso/ecb
BugReports: https://github.com/expersso/ecb/issues
Suggests: knitr, rmarkdown, dplyr, lubridate, ggplot2, testthat, zoo
Imports: curl, rsdmx, xml2, httr
VignetteBuilder: knitr
RoxygenNote: 7.3.2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2025-03-19 09:34:54 UTC; ericpersson
Author: Eric Persson [aut, cre],
  Franz X. Mohr [ctb] (<https://orcid.org/0009-0003-8890-7781>)
Maintainer: Eric Persson <expersso5@gmail.com>
Repository: CRAN
Date/Publication: 2025-03-19 11:30:02 UTC

## ecb 2.21

=== Makefile ===
# This Makefile byte-compiles the ECB lisp files and generates online-help.

# Copyright (C) 2000 - 2003 Jesper Nordenberg,
#                           Klaus Berndl,
#                           Kevin A. Burton,
#                           Free Software Foundation, Inc.

# Author: Jesper Nordenberg <mayhem@home.se>
#         Klaus Berndl <klaus.berndl@sdm.de>
#         Kevin A. Burton <burton@openprivacy.org>
# Maintainer: Klaus Berndl <klaus.berndl@sdm.de>
#             Kevin A. Burton <burton@openprivacy.org>
# Keywords: browser, code, programming, tools
# Created: 2001

# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.

# You should have received a copy of the GNU General Public License along with
# GNU Emacs; see the file COPYING.  If not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# $Id: Makefile,v 1.82 2004/02/13 16:10:06 berndl Exp $


# ========================================================================
# User configurable section

# ------------------------------------------------------------------------
# Byte-compiling ECB:
# ------------------------------------------------------------------------

# Define here the correct path to your Emacs or XEmacs binary
EMACS=emacs

# -------- Compiling ECB with the cedet-library 1.0 ----------------------

# cedet 1.0 (contains a.o. semantic 2.0, eieio 0.18 and speedbar 0.15). If
# you want compile ECB with the cedet library then set here the full path
# to the cedet-installation directory.

#CEDET=
CEDET=C:/Programme/emacs-21/site-lisp/multi-file-packages/cedet-1.0beta1c

# -------- Compiling ECB with the semantic < 2.0 -------------------------

# If you want not compile ECB with the cedet1.0-library then do not set
# CEDET above!

# If semantic, eieio and speedbar are added to load-path within some
# Elisp-statements in the Emacs initialization-files (e.g. .emacs or
# site-start.el) then set here again the load-path of the semantic-version,
# the eieio-version and the speedbar-version loaded into your Emacs (use
# always FORWARD-SLASHES as directory-separator even with MS Windows
# systems). Make sure you compile ECB with the semantic-, eieio- and
# speedbar-version you load into Emacs!

# If you are using XEmacs with already installed XEmacs-packages for
# semantic, eieio and speedbar or if you are using a file subdirs.el with
# GNU Emacs which adds semantic, eieio and speedbar then there is NO need
# to set the load-path for semantic, eieio or speedbar.
SEMANTIC=
EIEIO=
SPEEDBAR=

# You can set here more load-paths to arbitrary packages if you want. But
# this is really not necessary!
LOADPATH=

# Two ways to build ECB:
# - Call "make" to byte-compile the ECB. You can savely ignore the messages.
# - Or call
#
#      make EMACS="path/to/emacs"
#
#      or
#
#      make CEDET="path/to/cedet"           #(for compiling with cedet 1.0)
#
#      or
#
#      make SEMANTIC="path/to/semantic" EIEIO="path/to/eieio" \
#           SPEEDBAR="path/to/speedbar "EMACS="path/to/emacs"
#
#   if you want to set either different load-paths or Emacs-binary and
#   you do not want edit the Makefile. Do not forget quoting the arguments
#   if they contain spaces!
#
# If there are any warning messages during byte-compilation (normally there
# are not any) you can savely ignore them!


# ------------------------------------------------------------------------
# Generating different online-help formats
# ------------------------------------------------------------------------

# If you want to generate all formats of online-help from the texi-source
# you must set here the FULL paths to the required tools. The Makefile
# tests if the tools are available on these locations, so if a tool x is
# not available let the related setting X empty! NOTE: For generating the
# PDF-format you will need an installed TeX and Ghostscript!
MAKEINFO=/usr/bin/makeinfo
TEXI2DVI=/C/Programme/texmf/miktex/bin/texi2dvi
# You need either the dvipdfm-tool
#DVIPDFM=/C/Programme/texmf/miktex/bin/dvipdfm
DVIPDFM=
# or the tools dvips and ps2pdf. If dvipdfm is available the Makefile uses
# this one!
DVIPS=/C/Programme/texmf/miktex/bin/dvips
PS2PDF=/C/home/bin/ps2pdf

# To generate the online-formats just call "make online-help" for info- and
# HTML-format and "make pdf" for PDF-format.

# ------------------------------------------------------------------------
# Installing the info online-help in the Top-directory of (X)Emacs-info
# ------------------------------------------------------------------------

# Set here the path of the info subdirectory of your (X)Emacs installation
# which contains the dir file.
EMACSINFOPATH=/C/Programme/emacs-21/info

# If you want to install the info-format of the online-help in the
# Top-directory of the info-directory of (X)Emacs (see above EMACSINFOPATH)
# then you must specify the full path of the tool install-info.
INSTALLINFO=/usr/bin/install-info

# To install the online-help just call "make install-help"

# end of user configurable section
# ========================================================================

# Do not change anything below!

# $Id: Makefile,v 1.82 2004/02/13 16:10:06 berndl Exp $

# For the ECB-maintainers: Change the version-number here and not
# elsewhere!
ecb_VERSION=2.21

include ecb-makedef.mk

ecb: $(ecb_LISP_EL)
	@echo "Byte-compiling ECB with LOADPATH=${LOADPATH} ..."
	@$(RM) $(ecb_LISP_ELC) ecb-compile-script
	@echo "(add-to-list 'load-path nil)" > ecb-compile-script
	@if test ! -z "${CEDET}"; then\
	   echo "(load-file \"$(CEDET)/common/cedet.el\")" >> ecb-compile-script; \
	else \
	   if test ! -z "${SEMANTIC}"; then\
	      echo "(add-to-list 'load-path \"$(SEMANTIC)\")" >> ecb-compile-script; \
	   fi; \
	   if test ! -z "${EIEIO}"; then\
	      echo "(add-to-list 'load-path \"$(EIEIO)\")" >> ecb-compile-script; \
	   fi; \
	   if test ! -z "${SPEEDBAR}"; then\
	      echo "(add-to-list 'load-path \"$(SPEEDBAR)\")" >> ecb-compile-script; \
	   fi; \
	fi
	@if test ! -z "${LOADPATH}"; then\
	   for loadpath in ${LOADPATH}; do \
	      echo "(add-to-list 'load-path \"$$loadpath\")" >> ecb-compile-script; \
	   done; \
	fi
	@echo "(require 'ecb)" >> ecb-compile-script
	@echo "(setq debug-on-error t)" >> ecb-compile-script
	$(EBATCH) -l ecb-compile-script --eval '(ecb-byte-compile t)'
	@$(RM) ecb-compile-script


all: ecb online-help

online-help: $(ecb_TEXI)
	@if test -x "$(MAKEINFO)"; then\
	   $(RM) -R $(ecb_INFO_DIR) $(ecb_HTML_DIR); \
	   $(MKDIR) $(ecb_INFO_DIR) $(ecb_HTML_DIR); \
	   echo Generating info-format...; \
	   $(MAKEINFO) --fill-column=78 $<; \
	   $(MV) *.info* $(ecb_INFO_DIR); \
	   echo Generating html-format...; \
	   $(MAKEINFO) --html --output=$(ecb_HTML_DIR) $<; \
	   for file in $(ecb_HTML_DIR)/*.html; do\
	      $(MV) $$file tmpfile; \
	      sed "s/index\\.html/$(ecb_HTML)/g" tmpfile > $$file; \
	      $(RM) tmpfile; \
	   done; \
	   $(MV) $(ecb_HTML_DIR)/index.html $(ecb_HTML_DIR)/$(ecb_HTML); \
	else \
	   echo No info- and html-format generating because the tool; \
	   echo - makeinfo in $(MAKEINFO); \
	   echo is not available!; \
	fi

pdf: $(ecb_TEXI)
	@if test -x "$(TEXI2DVI)" -a -x "$(DVIPDFM)"; then\
	   $(RM) $(ecb_DVI) $(ecb_PDF); \
	   echo Generating pdf-format with dvipdfm ...; \
	   $(TEXI2DVI) --clean $<; \
	   $(DVIPDFM) $(ecb_DVI); \
	   $(RM) $(ecb_DVI); \
	elif test -x "$(TEXI2DVI)" -a -x "$(DVIPS)" -a -x "$(PS2PDF)"; then\
	   $(RM) $(ecb_DVI) $(ecb_PS) $(ecb_PDF); \
	   echo Generating pdf-format with dvips and ps2pdf ...; \
	   $(TEXI2DVI) --quiet --clean $<; \
	   $(DVIPS) -Pcmz -q $(ecb_DVI) -o $(ecb_PS); \
	   $(PS2PDF) $(ecb_PS); \
	   $(RM) $(ecb_DVI) $(ecb_PS); \
	else \
	   echo No pdf-format generating because at least one of the tools; \
	   echo - texi2dvi in $(TEXI2DVI); \
	   echo - dvips in $(DVIPS); \
	   echo - ps2pdf in $(PS2PDF); \
	   echo is not available!; \
	fi


install-help: $(ecb_INFO_DIR)/$(ecb_INFO)
	@if test -x "$(INSTALLINFO)" -a -f "$(EMACSINFOPATH)/dir"; then\
	   echo Installing the Online-help in $(INSTALLINFO)...; \
	   $(CP) $(ecb_INFO_DIR)/*info* $(EMACSINFOPATH); \
	   $(INSTALLINFO) $< $(EMACSINFOPATH)/dir; \
	else \
	   echo Can not install the online-help because either; \
	   echo - the tool $(INSTALLINFO) or; \
	   echo - the file $(EMACSINFOPATH)/dir; \
	   echo is not available!; \
	fi


clean:
	@$(RM) $(ecb_LISP_ELC) ecb-compile-script

# The targets below are only for maintaining the ECB-package.

$(ecb_INFO_DIR)/$(ecb_INFO): online-help

# updates RELEASE_NOTES, README, NEWS, ecb.texi and ecb.el to the
# version-number of $(ecb_VERSION).
prepversion:
	@$(MV) RELEASE_NOTES RELEASE_NOTES.tmp
	@sed "1s/version.*/version $(ecb_VERSION)/" RELEASE_NOTES.tmp > RELEASE_NOTES
	@$(RM) RELEASE_NOTES.tmp
	@$(MV) README README.tmp
	@sed "1s/version.*/version $(ecb_VERSION)/" README.tmp > README
	@$(RM) README.tmp
	@$(MV) NEWS NEWS.tmp
	@sed "1s/version.*/version $(ecb_VERSION)/" NEWS.tmp > NEWS
	@$(RM) NEWS.tmp
	@$(MV) ecb-upgrade.el ecb-upgrade.el.tmp
	@sed "s/^(defconst ecb-version.*/(defconst ecb-version \"$(ecb_VERSION)\"/" ecb-upgrade.el.tmp > ecb-upgrade.el
	@$(RM) ecb-upgrade.el.tmp
	@(echo "/@macro ecbver";		\
	  echo "+";				\
	  echo "c";				\
	  echo "$(ecb_VERSION)";		\
	  echo ".";				\
	  echo "w";				\
	  echo "q") | ed -s $(ecb_TEXI) 1> /dev/null


autoloads:
	@$(RM) $(ecb_AUTOLOADS) $(ecb_AUTOLOADS)c
	$(EBATCH) -l ecb-autogen -f ecb-update-autoloads


# builds the distribution file $(ecb_VERSION).tar.gz
distrib: $(ecb_INFO_DIR)/$(ecb_INFO) prepversion autoloads ecb
	@$(RM) ecb-$(ecb_VERSION).tar.gz
	@$(RM) -R ecb-$(ecb_VERSION)
	@$(MKDIR) ecb-$(ecb_VERSION)
	@$(CP) $(ecb_DISTRIB_FILES) ecb-$(ecb_VERSION)
	@$(CP) -r $(ecb_INFO_DIR) ecb-$(ecb_VERSION)
	@$(CP) -r $(ecb_HTML_DIR) ecb-$(ecb_VERSION)
	@$(CP) -r $(ecb_IMAGE_DIR) ecb-$(ecb_VERSION)
	@find ecb-$(ecb_VERSION)/$(ecb_IMAGE_DIR) -name CVS -print | xargs rm -Rf
	@find ecb-$(ecb_VERSION)/$(ecb_IMAGE_DIR) -name *~ -print | xargs $(RM)
	@tar -cvzf ecb-$(ecb_VERSION).tar.gz ecb-$(ecb_VERSION)
	@$(RM) -R ecb-$(ecb_VERSION)

# End of Makefile

## ecb 2.27

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # GNU Emacs; see the file COPYING.  If not, write to the Free Software
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
-# $Id: Makefile,v 1.82 2004/02/13 16:10:06 berndl Exp $
+# $Id: Makefile,v 1.96 2004/08/18 16:07:18 berndl Exp $
 
 
 # ========================================================================
@@ -36,30 +36,36 @@
 # Byte-compiling ECB:
 # ------------------------------------------------------------------------
 
-# Define here the correct path to your Emacs or XEmacs binary
+# Define here the correct path to your Emacs or XEmacs binary. Ensure you
+# have set this variable to 'xemacs' if you want byte-compile with XEmacs!
 EMACS=emacs
+
+# In the following path-settings of this section use always FORWARD-SLASHES
+# as directory-separator even with MS Windows systems.
 
 # -------- Compiling ECB with the cedet-library 1.0 ----------------------
 
 # cedet 1.0 (contains a.o. semantic 2.0, eieio 0.18 and speedbar 0.15). If
 # you want compile ECB with the cedet library then set here the full path
-# to the cedet-installation directory.
+# to the cedet-installation directory. If you do not want using the
+# cedet-suite but separate semantic-, eieio- and speedbar-pathes set this
+# variable to empty.
 
 #CEDET=
-CEDET=C:/Programme/emacs-21/site-lisp/multi-file-packages/cedet-1.0beta1c
+CEDET=c:/Programme/emacs-21/site-lisp/package-development/cedet
+#CEDET=c:/Programme/emacs-21/site-lisp/multi-file-packages/cedet-1.0beta3b
 
 # -------- Compiling ECB with the semantic < 2.0 -------------------------
 
-# If you want not compile ECB with the cedet1.0-library then do not set
-# CEDET above!
+# If you do not want compiling ECB with the cedet1.0-library then do not
+# set CEDET above!
 
 # If semantic, eieio and speedbar are added to load-path within some
 # Elisp-statements in the Emacs initialization-files (e.g. .emacs or
 # site-start.el) then set here again the load-path of the semantic-version,
-# the eieio-version and the speedbar-version loaded into your Emacs (use
-# always FORWARD-SLASHES as directory-separator even with MS Windows
-# systems). Make sure you compile ECB with the semantic-, eieio- and
-# speedbar-version you load into Emacs!
+# the eieio-version and the speedbar-version loaded into your Emacs. Make
+# sure you compile ECB with the semantic-, eieio- and speedbar-version you
+# load into Emacs!
 
 # If you are using XEmacs with already installed XEmacs-packages for
 # semantic, eieio and speedbar or if you are using a file subdirs.el with
@@ -81,7 +87,7 @@
 #
 #      or
 #
-#      make CEDET="path/to/cedet"           #(for compiling with cedet 1.0)
+#      make CEDET="path/to/cedet"           (for compiling with cedet 1.0)
 #
 #      or
 #
@@ -138,11 +144,11 @@
 
 # Do not change anything below!
 
-# $Id: Makefile,v 1.82 2004/02/13 16:10:06 berndl Exp $
+# $Id: Makefile,v 1.96 2004/08/18 16:07:18 berndl Exp $
 
 # For the ECB-maintainers: Change the version-number here and not
 # elsewhere!
-ecb_VERSION=2.21
+ecb_VERSION=2.27
 
 include ecb-makedef.mk
 
@@ -280,6 +286,7 @@
 	@$(CP) -r $(ecb_IMAGE_DIR) ecb-$(ecb_VERSION)
 	@find ecb-$(ecb_VERSION)/$(ecb_IMAGE_DIR) -name CVS -print | xargs rm -Rf
 	@find ecb-$(ecb_VERSION)/$(ecb_IMAGE_DIR) -name *~ -print | xargs $(RM)
+	@find ecb-$(ecb_VERSION)/$(ecb_IMAGE_DIR) -name *.png -print | xargs $(RM)
 	@tar -cvzf ecb-$(ecb_VERSION).tar.gz ecb-$(ecb_VERSION)
 	@$(RM) -R ecb-$(ecb_VERSION)

## ecb 2.32

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # This Makefile byte-compiles the ECB lisp files and generates online-help.
 
-# Copyright (C) 2000 - 2003 Jesper Nordenberg,
+# Copyright (C) 2000 - 2005 Jesper Nordenberg,
 #                           Klaus Berndl,
 #                           Kevin A. Burton,
 #                           Free Software Foundation, Inc.
@@ -26,7 +26,7 @@
 # GNU Emacs; see the file COPYING.  If not, write to the Free Software
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
-# $Id: Makefile,v 1.96 2004/08/18 16:07:18 berndl Exp $
+# $Id: Makefile,v 1.106 2005/04/19 15:29:31 berndl Exp $
 
 
 # ========================================================================
@@ -53,7 +53,7 @@
 
 #CEDET=
 CEDET=c:/Programme/emacs-21/site-lisp/package-development/cedet
-#CEDET=c:/Programme/emacs-21/site-lisp/multi-file-packages/cedet-1.0beta3b
+#CEDET=c:/Programme/emacs-21/site-lisp/multi-file-packages/cedet-1.0beta2b
 
 # -------- Compiling ECB with the semantic < 2.0 -------------------------
 
@@ -144,11 +144,11 @@
 
 # Do not change anything below!
 
-# $Id: Makefile,v 1.96 2004/08/18 16:07:18 berndl Exp $
+# $Id: Makefile,v 1.106 2005/04/19 15:29:31 berndl Exp $
 
 # For the ECB-maintainers: Change the version-number here and not
 # elsewhere!
-ecb_VERSION=2.27
+ecb_VERSION=2.32
 
 include ecb-makedef.mk
 
@@ -228,7 +228,7 @@
 
 install-help: $(ecb_INFO_DIR)/$(ecb_INFO)
 	@if test -x "$(INSTALLINFO)" -a -f "$(EMACSINFOPATH)/dir"; then\
-	   echo Installing the Online-help in $(INSTALLINFO)...; \
+	   echo Installing the Online-help in $(EMACSINFOPATH)...; \
 	   $(CP) $(ecb_INFO_DIR)/*info* $(EMACSINFOPATH); \
 	   $(INSTALLINFO) $< $(EMACSINFOPATH)/dir; \
 	else \

## ecb 2.40%2Bcvs20110608

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,12 @@
 # This Makefile byte-compiles the ECB lisp files and generates online-help.
 
-# Copyright (C) 2000 - 2005 Jesper Nordenberg,
+# Copyright (C) 2000 - 2010 Jesper Nordenberg,
 #                           Klaus Berndl,
-#                           Kevin A. Burton,
 #                           Free Software Foundation, Inc.
 
 # Author: Jesper Nordenberg <mayhem@home.se>
 #         Klaus Berndl <klaus.berndl@sdm.de>
-#         Kevin A. Burton <burton@openprivacy.org>
 # Maintainer: Klaus Berndl <klaus.berndl@sdm.de>
-#             Kevin A. Burton <burton@openprivacy.org>
 # Keywords: browser, code, programming, tools
 # Created: 2001
 
@@ -26,7 +23,7 @@
 # GNU Emacs; see the file COPYING.  If not, write to the Free Software
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
-# $Id: Makefile,v 1.106 2005/04/19 15:29:31 berndl Exp $
+# $Id: Makefile,v 1.119 2010/02/22 16:33:42 berndl Exp $
 
 
 # ========================================================================
@@ -43,37 +40,19 @@
 # In the following path-settings of this section use always FORWARD-SLASHES
 # as directory-separator even with MS Windows systems.
 
-# -------- Compiling ECB with the cedet-library 1.0 ----------------------
-
-# cedet 1.0 (contains a.o. semantic 2.0, eieio 0.18 and speedbar 0.15). If
-# you want compile ECB with the cedet library then set here the full path
-# to the cedet-installation directory. If you do not want using the
-# cedet-suite but separate semantic-, eieio- and speedbar-pathes set this
-# variable to empty.
+# -------- Compiling ECB with the cedet-library ----------------------
+
+# cedet >= 1.0pre6 (contains a.o. semantic >= 2.0, eieio >= 0.18 and
+# speedbar >= 0.15).
+#
+# + If you use Emacs >= 23.2 and you want to use the integrated CEDET:
+#   Set this to empty (CEDET=)
+#
+# + If you use Emacs < 23.2 or if you want to use the author version of CEDET:
+#   Set this to the full path of your CEDET-installation.
 
 #CEDET=
-CEDET=c:/Programme/emacs-21/site-lisp/package-development/cedet
-#CEDET=c:/Programme/emacs-21/site-lisp/multi-file-packages/cedet-1.0beta2b
-
-# -------- Compiling ECB with the semantic < 2.0 -------------------------
-
-# If you do not want compiling ECB with the cedet1.0-library then do not
-# set CEDET above!
-
-# If semantic, eieio and speedbar are added to load-path within some
-# Elisp-statements in the Emacs initialization-files (e.g. .emacs or
-# site-start.el) then set here again the load-path of the semantic-version,
-# the eieio-version and the speedbar-version loaded into your Emacs. Make
-# sure you compile ECB with the semantic-, eieio- and speedbar-version you
-# load into Emacs!
-
-# If you are using XEmacs with already installed XEmacs-packages for
-# semantic, eieio and speedbar or if you are using a file subdirs.el with
-# GNU Emacs which adds semantic, eieio and speedbar then there is NO need
-# to set the load-path for semantic, eieio or speedbar.
-SEMANTIC=
-EIEIO=
-SPEEDBAR=
+CEDET=c:/Programme/emacs-23.1/site-lisp/package-development/cedet
 
 # You can set here more load-paths to arbitrary packages if you want. But
 # this is really not necessary!
@@ -83,16 +62,7 @@
 # - Call "make" to byte-compile the ECB. You can savely ignore the messages.
 # - Or call
 #
-#      make EMACS="path/to/emacs"
-#
-#      or
-#
-#      make CEDET="path/to/cedet"           (for compiling with cedet 1.0)
-#
-#      or
-#
-#      make SEMANTIC="path/to/semantic" EIEIO="path/to/eieio" \
-#           SPEEDBAR="path/to/speedbar "EMACS="path/to/emacs"
+#      make [EMACS="path/to/emacs"] [CEDET="path/to/cedet" or empty]
 #
 #   if you want to set either different load-paths or Emacs-binary and
 #   you do not want edit the Makefile. Do not forget quoting the arguments
@@ -130,7 +100,7 @@
 
 # Set here the path of the info subdirectory of your (X)Emacs installation
 # which contains the dir file.
-EMACSINFOPATH=/C/Programme/emacs-21/info
+EMACSINFOPATH=/C/Programme/emacs-22.3/info
 
 # If you want to install the info-format of the online-help in the
 # Top-directory of the info-directory of (X)Emacs (see above EMACSINFOPATH)
@@ -142,13 +112,17 @@
 # end of user configurable section
 # ========================================================================
 
-# Do not change anything below!
-
-# $Id: Makefile,v 1.106 2005/04/19 15:29:31 berndl Exp $
+
+# ========================================================================
+# !!!!!!!!!!!!!!!!!!!!! Do not change anything below !!!!!!!!!!!!!!!!!!!!!
+# ========================================================================
+
+
+# $Id: Makefile,v 1.119 2010/02/22 16:33:42 berndl Exp $
 
 # For the ECB-maintainers: Change the version-number here and not
 # elsewhere!
-ecb_VERSION=2.32
+ecb_VERSION=2.41
 
 include ecb-makedef.mk
 
@@ -159,15 +133,8 @@
 	@if test ! -z "${CEDET}"; then\
 	   echo "(load-file \"$(CEDET)/common/cedet.el\")" >> ecb-compile-script; \
 	else \
-	   if test ! -z "${SEMANTIC}"; then\
-	      echo "(add-to-list 'load-path \"$(SEMANTIC)\")" >> ecb-compile-script; \
-	   fi; \
-	   if test ! -z "${EIEIO}"; then\
-	      echo "(add-to-list 'load-path \"$(EIEIO)\")" >> ecb-compile-script; \
-	   fi; \
-	   if test ! -z "${SPEEDBAR}"; then\
-	      echo "(add-to-list 'load-path \"$(SPEEDBAR)\")" >> ecb-compile-script; \
-	   fi; \
+	   echo "(semantic-mode 1)" >> ecb-compile-script; \
+	   echo "(require 'semantic/bovine/el)" >> ecb-compile-script; \
 	fi
 	@if test ! -z "${LOADPATH}"; then\
 	   for loadpath in ${LOADPATH}; do \
@@ -178,7 +145,6 @@
 	@echo "(setq debug-on-error t)" >> ecb-compile-script
 	$(EBATCH) -l ecb-compile-script --eval '(ecb-byte-compile t)'
 	@$(RM) ecb-compile-script
-
 
 all: ecb online-help

## ecb 2.40+cvs20110608

=== html/Makefile ===
# This file generates the HTML-website of ECB

# Copyright (C) 2000 - 2005 Jesper Nordenberg,
#                           Klaus Berndl,
#                           Free Software Foundation, Inc.

# Author: Jesper Nordenberg <mayhem@home.se>
#         Klaus Berndl <klaus.berndl@sdm.de>
# Maintainer: Klaus Berndl <klaus.berndl@sdm.de>
# Keywords: browser, code, programming, tools
# Created: 2004

# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.

# You should have received a copy of the GNU General Public License along with
# GNU Emacs; see the file COPYING.  If not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# $Id: Makefile,v 1.25 2009/11/20 10:15:07 berndl Exp $


# Just type "make upload" to upload a complete new build of the whole
# website to SourgeForge.
#
# Or type "make all" or "make upload-build" to generate the whole website
# and build an uploadable ecb-website.tar.gz file.

# $Id: Makefile,v 1.25 2009/11/20 10:15:07 berndl Exp $

EMACS=emacs

include ../ecb-makedef.mk

TARC=tar -czvf
SCP=scp
ecb_SCP_login=berndl,ecb@web.sourceforge.net
#SSH=ssh -l berndl ecb.sourceforge.net
SSH=ssh -t berndl,ecb@shell.sourceforge.net create

ecb_ECB_LOC=/home/groups/e/ec/ecb
ecb_WEBSITE_LOC=htdocs

GNUCLIENT=gnuclient

CEDETLOAD=c:/Programme/emacs-22.3/site-lisp/package-development/cedet/common/cedet.el

MAKEINFO=/usr/bin/makeinfo

ecb_HTMLSOURCE=ecb-html.el
ecb_HTML_GEN=logo.html javabrowser.html main.html menu.html links.html \
             top.html all-news.html downloads.html cvs.html
ecb_HTMLDOCU_DIR=./docs
ecb_TEXI_FILE=../ecb.texi

ecb_SCREENSHOTS=screenshots/index.html screenshots/*.png

ecb_GIFS=bullet.gif ecb_logo.gif mail.gif smiley.gif

ecb_UPLOAD_ARC_UNZIPPED=ecb-website.tar
ecb_UPLOAD_ARC=$(ecb_UPLOAD_ARC_UNZIPPED).gz

ecb_WEBSITE_CONTENT=index.html $(ecb_HTML_GEN) $(ecb_HTMLDOCU_DIR)/*.html \
                    $(ecb_SCREENSHOTS) NEWS.html $(ecb_GIFS)


help:
	@echo "The following external targets are available:"
	@echo "- website: Builds all html-files for the ECB-homepage."
	@echo "- clean: Deletes all generated files."
	@echo "- upload-build: Generate a zipped tar-archive for a complete"
	@echo "                update of the ECB-homepage. Calls all necessary"
	@echo "                targets."
	@echo "- upload: Uploads a complete new built ECB-homepage. Calls "
	@echo "          upload-build."
	@echo "- upload-update: Uploads all files which reside in the subdir"
	@echo "                 'files-for-upload' (incl. the patches in the"
	@echo "                 subdir files-for-upload/patches'."
	@echo "- update-cvs-snapshot: Updates the latest stable CVS-snapshot"
	@echo "                       at the ECB-website"
	@echo "All 'upload*'-targets needs a running Emacs-instance connectable"
	@echo "by gnuclient."

all: upload-build

# Creates the html-files from ecb-html.el
website: $(ecb_HTMLSOURCE)
	@$(RM) $(ecb_HTML_GEN)
	@$(RM) *.elc
	$(EBATCH) -l $(CEDETLOAD) $< -f eval-current-buffer

# Generates HTML-docu from ecb.texi into ./docs/
online-docu: $(ecb_TEXI_FILE)
	@$(MKDIR) $(ecb_HTMLDOCU_DIR)
	@$(RM) $(ecb_HTMLDOCU_DIR)/*.html
	$(MAKEINFO) --html --output=$(ecb_HTMLDOCU_DIR) $<

$(ecb_HTMLDOCU_DIR)/index.html: online-docu

NEWS.html:
	@$(CP) ../NEWS .
	@$(RM) NEWS.html
	@$(GNUCLIENT) -e '(progn (find-file "NEWS") (save-excursion (end-of-buffer) (previous-line 6) (delete-region (point) (point-max))) (load-library "htmlfontify") (htmlfontify-buffer) (write-file "NEWS.html") (kill-buffer "NEWS.html") (switch-to-buffer "NEWS") (set-buffer-modified-p nil) (kill-buffer "NEWS"))'
	@$(RM) NEWS


# Creates a complete new build of the whole website
upload-build: $(ecb_HTMLDOCU_DIR)/index.html NEWS.html website
	@$(RM) $(ecb_UPLOAD_ARC)
	$(TARC) $(ecb_UPLOAD_ARC) $(ecb_WEBSITE_CONTENT)

# Uploads a complete new website build to ecb.sourceforge.net
upload: website upload-build
	$(SCP) $(ecb_UPLOAD_ARC) $(ecb_SCP_login):$(ecb_WEBSITE_LOC)
	@echo "For unpacking and installing the new contents do:"
	@echo "1. open a shell at SF with ssh: ssh -t berndl,ecb@shell.sourceforge.net create"
	@echo "2. Run ./update_website.sh (this extracts the archive and performs all chmods)"

# Uploads all files currently in ./files-for-upload
upload-update:
	@(cd files-for-upload; \
	$(TARC) $(ecb_UPLOAD_ARC) *; \
	echo "Uploading the updates..."; \
	$(SCP) $(ecb_UPLOAD_ARC) $(ecb_SCP_login):$(ecb_WEBSITE_LOC); \
	echo "1. open a shell at SF with ssh: ssh -t berndl,ecb@shell.sourceforge.net create"; \
	echo "2. Run ./update_website.sh (this extracts the archive and performs all chmods)"; \
	$(RM) $(ecb_UPLOAD_ARC))


update-cvs-snapshot:
	@echo "Updating latest stable CVS-snapshot..."
	@$(RM) ecb.tar.gz
	@$(RM) -R ecb-snap
	@$(MKDIR) ecb-snap
	@(cd ..; \
	$(CP) $(ecb_DISTRIB_FILES) html/ecb-snap; \
	$(CP) -r $(ecb_IMAGE_DIR) html/ecb-snap)
	@find ecb-snap/$(ecb_IMAGE_DIR) -name CVS -print | xargs rm -Rf
	@find ecb-snap/$(ecb_IMAGE_DIR) -name *~ -print | xargs $(RM)
	@find ecb-snap/$(ecb_IMAGE_DIR) -name *.png -print | xargs $(RM)
	@$(TARC) ecb.tar.gz ecb-snap
	@$(RM) -R ecb-snap
	$(SCP) ecb.tar.gz $(ecb_SCP_login):$(ecb_WEBSITE_LOC)/cvs_snapshots
	@$(RM) ecb.tar.gz


clean:
	@$(RM) -R $(ecb_HTMLDOCU_DIR)
	@$(RM) NEWS.html *.elc $(ecb_UPLOAD_ARC) $(ecb_HTML_GEN) *.*~
	@(cd files-for-upload/patches; \
	   $(RM) *.*)
	@(cd files-for-upload; \
	   $(RM) *.*)

=== debian/changelog ===
ecb (2.40+cvs20110608-3) unstable; urgency=low

  * add temporary conflicts on cedet-common, cogre (Closes: #657765)

 -- Mike O'Connor <stew@debian.org>  Tue, 07 Feb 2012 19:23:28 -0500

ecb (2.40+cvs20110608-2) unstable; urgency=low

  * add temporary conflicts on cedet (Closes: #644185)

 -- Mike O'Connor <stew@debian.org>  Tue, 01 Nov 2011 09:23:54 -0400

ecb (2.40+cvs20110608-1) unstable; urgency=low

  * New Maintainer
  * new upstream release (Closes: #548854)
  * add Homepage field to control (Closes: #615403)
  * remove obsolete dependencies (Closes: #617303)
  * convert to 3.0 (quilt)
  * convert to dh7
  * change dependency from emacs21 to emacs23
  * add dependency on install-info
  * add dependency on texinfo
  * add ${misc:Depends}
  * change doc-base section to Programming
  * upgrade Standards-Version to 3.9.2

 -- Mike O'Connor <stew@debian.org>  Wed, 08 Jun 2011 11:20:27 -0400

ecb (2.32-1) unstable; urgency=low

  * debian/control
    Remove dependency to build PDF and html files.
  * debian/emacsen-startup:
    Change back to (require 'ecb-autoloads) for quick loading.
  * Drop pdf file installation by default.
  * Depend on cogre and cedet-contrib.
  * Drop jde as suggests

  Cai Qian <caiqian@debian.org>  Sat, 3 Jue 2006 23:33:00 +0100

  * New upstream release. (Closes: #289090, #269793, #292356)
  * New maintainer (Closes: #321808).
  * Change build system to use CDBS + debhelper.
  * debian/rules:
    - Remove extraneous .cvsignore files and bash scripts.
      (Closes: #301939)
    - dh_link now placed in debian/links .
    - Handle doc installation via DEB_INSTALL_DOCS_ALL , remove
      debian/docs .
  * debian/patches:
    - Add 10_Makefile_adjust.patch (old fixes)
  * debian/control:
    - Bump Standards-Version.
    - Adjust debhelper dependency to (>= 5.0.7).
    - Add homepage to long description.
    - Add cdbs and debhelper to Build-Depends.
    - Rewrite description synopsis.
  * debian/copyright:
    - Add notice from ecb.el . Must ping upstream to update FSF
      address.
  * debian/emacsen-install:
    - Get ecb to find its images by properly linking to
      /usr/share/emacs/site-lisp/ecb/ecb-images (Closes: #272506)
  * debian/emacsen-startup:
    - Use (require 'ecb) instead of (require 'ecb-autoloads) so we
      can call ECB from the Tools menu (Closes: #296794)

 -- Zak B. Elep <zakame@spunge.org>  Tue, 16 May 2006 00:20:55 +0800

ecb (2.27-2) unstable; urgency=low

  * Orphaning package

 -- Joerg Jaspert <joerg@debian.org>  Sun,  7 Aug 2005 19:33:59 +0200

ecb (2.27-1) unstable; urgency=low

  * And include latest Upstream too...

 -- Joerg Jaspert <joerg@debian.org>  Wed,  1 Sep 2004 22:15:18 +0200

ecb (2.26-2) unstable; urgency=low

  * Bug fix: "ecb-activate fails without (require 'cedet)", thanks to
    David Porter (Closes: #269368).

 -- Joerg Jaspert <joerg@debian.org>  Wed,  1 Sep 2004 22:06:39 +0200

ecb (2.26-1) unstable; urgency=low

  * New Upstream Version (Closes: #258089).
  * Bug fix: "Missing `ecb-images' dir for tree-buffers with images",
    thanks to Su Yong (Closes: #250014).

 -- Joerg Jaspert <joerg@debian.org>  Mon, 16 Aug 2004 22:56:23 +0200

ecb (2.21-1) unstable; urgency=low

  * New Upstream Version (Closes: #231773).
  * Bug fix: "ecb: source dir on load path", thanks to Ian Zimmerman
    (Closes: #223811).

 -- Joerg Jaspert <joerg@debian.org>  Mon, 16 Feb 2004 23:16:24 +0100

ecb (2.01-1) unstable; urgency=low

  * Yes, New Upstream Version
   - Bug fix: "ecb: Cannot activate winner-mode in Emacs 21. ", thanks to
     Matt Hodges (Closes: #180848).
  * Added speedbar | speedbar beta to Depends.
  * Standards 3.6.1
  * Bug fix: "ecb: postinst script fails with xemacs21", thanks to Laurent
    Bonnaud. At least it works on 4 different test machines i have
    access to. (Closes: #185316).
  * Bug fix: "ecb: does too much in site-start.d script", thanks to Ian
    Zimmerman. It now only requires ecb-autoloads. (Closes: #216267).
  * Bug fix: "ecb-show-help command doesn't know where the help is",
    thanks to James Knight. I modify the variable for the location
    of the info file now in ecb startup script. As thats loaded before user
    configuration it doesnt hurt and user can still change it - even if i dont
    know why he would want to do it. (Closes: #184789).

 -- Joerg Jaspert <joerg@debian.org>  Mon, 10 Nov 2003 23:23:33 +0100

ecb (1.90.cvs20030209-1) unstable; urgency=low

  * Newest CVS.
  * Standards 3.5.8

 -- Joerg Jaspert <joerg@debian.org>  Sun,  9 Feb 2003 16:00:31 +0100

ecb (1.80.cvs20030105-1) unstable; urgency=low

  * Newest CVS.

 -- Joerg Jaspert <joerg@debian.org>  Sun,  5 Jan 2003 16:12:19 +0100

ecb (1.80.cvs20021113-1) unstable; urgency=low

  * Now look at 1.90 CVS guys.
  * Toggled priority of load-path elements, now compiled
    files are first ones. (closes: #168679)

 -- Joerg Jaspert <joerg@debian.org>  Wed, 13 Nov 2002 22:19:20 +0100

ecb (1.80.cvs20021010-2) unstable; urgency=low

  * The "Someone should shutdown the BTS, I hate Bugs" release. :)
  * Dont fail in emacsen-startup if ecb is removed but not
    purged (closes: #166021)

 -- Joerg Jaspert <joerg@debian.org>  Wed, 23 Oct 2002 14:03:38 +0200

ecb (1.80.cvs20021010-1) unstable; urgency=low

  * Use latest CVS checkout.
  * Standards-Version: 3.5.7.0
  * Add the uncompiled lisp files to the load-path too.
  * Install the documentation. (closes: Bug#159933)
  * We are Arch: All, so built it in indep.
  * This one installs with xemacs21 (tested with xemacs21-mule)
    (closes: #157945)
  * It also worked with this xemacs21-mule so it (closes: #159934).
  
 -- Joerg Jaspert <joerg@debian.org>  Sat, 12 Oct 2002 18:24:28 +0200

ecb (1.80-1) unstable; urgency=low

  * New Upstream version.
   - If you used ecb before see the Readme.Debian please.
   - For detailed infos whats changed see the HISTORY. Its to big (112 lines)
     for this changelog.

 -- Joerg Jaspert <joerg@debian.org>  Tue, 20 Aug 2002 22:46:45 +0200



=== debian/control ===
Source: ecb
Section: devel
Priority: optional
Maintainer: Mike O'Connor <stew@debian.org>
Build-Depends: debhelper (>= 7.0.50~), emacs23 | emacsen, texinfo
Standards-Version: 3.9.2
Vcs-Git: git://git.vireo.org/ecb.git
Vcs-Browser: http://git.vireo.org/ecb.git

Package: ecb
Architecture: all
Depends: emacs23 | emacsen, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Conflicts: cedet, cedet-common, cogre
Homepage: http://ecb.sourceforge.net
Description: code browser for Emacs supporting several languages
 ECB is source code browser for Emacs. It is a global
 minor-mode which displays a couple of windows that can
 be used to browse directories, files and methods.
 It supports method parsing for Java, C, C++, Elisp etc.
 .

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	make online-help

override_dh_install:
	dh_install
	find debian/ecb/usr/share/emacs/site-lisp/ecb -type f -exec chmod 644 {} +
